Subject: [XCON] New conference control draft: COMP

From: "Henning Schulzrinne" <[email-masked]>
Date: Sat, 31 Dec 2005 10:33:21 +0100

Just under the XCON chair wire, I submitted an I-D on using SOAP for 
conference control.

Until it appears in the archives, you can find it at

 http://www.cs.columbia.edu/sip/draft/comp/draft-schulzrinne-xcon-comp-00.htmlI'm still working on the schema; there are a number of open issues, but Ihope it gets the flavor across:- HTTP/SOAP for manipulating objects, SIP for event notification- three core objects that can change representation based on namespaces- four core operations on these objects (get/create/change/delete)- a mechanism to find out server namespace support and declare namespaces asmust-know-to-playIn designing the protocol mechanics, it became clear that at least twoHTTP-based approaches are plausible: a SOAP-based approach, i.e., RPC, andusing HTTP GET/PUT/DELETE directly, sometimes known as HTTP+XML or REST. Thelatter is heading in the same general direction as XCAP, but I believe thatXCAP itself is sub-optimal for this application as it is tooXML-syntax-oriented.Henning

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon